function Xconvolved_weighted_store = Compute_Convolution(X,D,attenuation)
% X: One original image (2D image)
% Y: Corresponding mask w.r.t X (2D image)
numFilters = size(D,3);

Xconvolved_weighted_store = cell(1,size(X,3));
for kk = 1:size(X,3)
    for ii = 1:numFilters
        feature = flipud(fliplr(D(:,:,ii)));
        Xconvolved = conv2(X(:,:,kk),feature,'valid');
        Xconvolved_weighted = sigmoid(attenuation * Xconvolved);
        Xconvolved_weighted_store{1,kk} = cat(3,Xconvolved_weighted_store{1,kk},Xconvolved_weighted);
    end
end
