function [f_val grad] = Maskonly_Conv_Obj_Dictionary_Regressor_Attenuation_Valid(X,D,Y,W,attentuation)
numFilters = size(W,1);
winsize = sqrt(length(D)/numFilters);
D = reshape(D,winsize,winsize,numFilters);

All_Xconvolved_weighted = Y;%zeros(size(X));
Xconvolved_weighted_store = zeros(size(X,1)-winsize+1,size(X,2)-winsize+1,numFilters);
All_Xconvolved_weighted(1+floor(winsize/2):end-floor(winsize/2),1+floor(winsize/2):end-floor(winsize/2)) = 0 ;
for ii = 1:numFilters
    feature = flipud(fliplr(D(:,:,ii)));
    Xconvolved = conv2(X,feature,'valid');
    Xconvolved_weighted = sigmoid(attentuation * Xconvolved);
    Xconvolved_weighted_store(:,:,ii) = Xconvolved_weighted  - Xconvolved_weighted.^2;%Xconvolved_weighted;
    All_Xconvolved_weighted(1+floor(winsize/2):end-floor(winsize/2),1+floor(winsize/2):end-floor(winsize/2)) = ...
    All_Xconvolved_weighted(1+floor(winsize/2):end-floor(winsize/2),1+floor(winsize/2):end-floor(winsize/2)) + W(ii)*Xconvolved_weighted;
end

f_val = sum(sum((Y - All_Xconvolved_weighted).^2));%norm(X - sum(All_Zconvolved,3),'fro')^2;

grad = zeros(size(D));
DIFF2_temp = Y - All_Xconvolved_weighted;
for ii = 1:numFilters
    DIFF_Center =  - 2 * attentuation * W(ii) * DIFF2_temp(1+floor(winsize/2):end-floor(winsize/2),1+floor(winsize/2):end-floor(winsize/2)) ...
                   .* Xconvolved_weighted_store(:,:,ii);
    DIFF_Center = flipud(fliplr(DIFF_Center));      
    grad(:,:,ii) = conv2(X,DIFF_Center,'valid');
end
grad = grad(:);

    
